# Copyright (c) 2001, 2008  Peter Pentchev
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

# $Ringlet: Makefile.inc 2657 2008-10-09 13:54:37Z roam $

PROG=		vpoppassd
MAN=		vpoppassd.8

SRCS=		vpoppassd.c vpp_err.c vpp_flavor.c \
		vpp_fl_checkpwd.c vpp_fl_vchkpw.c \
		vpp_fl_bsdpw.c vpp_fl_vpasswd.c \
		vpp_util.c

VERPFX=		VPP
VPP_VER_MAJ=	1
VPP_VER_MIN=	0
VPP_VER_PRE=	0
VPP_VER_PATCH=	0

PREFIX?=	/usr/local
BINDIR=		${PREFIX}/bin
MANDIR=		${PREFIX}/man/man

CC?=		gcc
#WARNS?=		2
CFLAGS_WARN=	-Wall -W -Wstrict-prototypes -Wmissing-prototypes \
		-Wwrite-strings \
		${BDECFLAGS}
CFLAGS_INC=	-I. -I.. -I/usr/local/include
# CFLAGS_OPT and CFLAGS_DBG must be defined in OS-dependent Makefiles
CFLAGS_MISC=	-D_GNU_SOURCE

CFLAGS_VER=	-DVPP_VER_MAJ=${VPP_VER_MAJ} \
		-DVPP_VER_MIN=${VPP_VER_MIN} \
		-DVPP_VER_PRE=${VPP_VER_PRE} \
		-DVPP_VER_PATCH=${VPP_VER_PATCH} \
		-DVPP_OS=\"${CFLAGS_OS_VER}\" \
		-DVPP_OSREL=\"${CFLAGS_OS_REL}\" \
		-DVPP_OSHOST=\"${CFLAGS_OS_HOST}\" \
		-DVPP_PREFIX=\"${PREFIX}\"

CFLAGS?=	${CFLAGS_WARN} ${CFLAGS_OPT} ${CFLAGS_DBG}
CFLAGS+=	${CFLAGS_INC} ${CFLAGS_OS} ${CFLAGS_VER} ${CFLAGS_MISC}

LDADD=
DPADD=

RM?=		rm -f
MKDIR?=		mkdir -p
SETENV?=	env
COMPRESS_CMD?=	gzip -cn
