#ifndef __INCLUDED_vpoppassd_h
#define __INCLUDED_vpoppassd_h

/*-
 *  Copyright (c) 2001, 2008  Peter Pentchev
 *  All rights reserved.
 * 
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 *  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 *  ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 *  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 *  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 *  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 *  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 *  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 *  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 *  SUCH DAMAGE.
 */

/* $Ringlet: vpoppassd.h 2634 2008-10-09 10:43:21Z roam $ */

#ifndef __unused
#ifdef __GNUC__
#define __unused	__attribute__((unused))
#else
#define __unused
#endif /* __GNUC__ */
#endif /* __unused */

#ifndef __dead2
#ifdef __GNUC__
#define __dead2	__attribute__((noreturn))
#else
#define __dead2
#endif /* __GNUC__ */
#endif /* __dead2 */

#ifndef RDBG
#ifdef EBUG
#define RDBG(x)         if (quiet < 2) { printf x; fflush(stdout); }
#else /* !EBUG */
#define RDBG(x)
#endif /* EBUG */
#endif /* RDBG */

#ifndef RINF
#define RINF(x)         { printf x; fflush(stdout); }
#endif /* RINF */

/* * *		Definitions		* * */

typedef enum {
	VPP_ERR_NONE,
	VPP_ERR_NOMEM, VPP_ERR_CMDLINE,
	VPP_ERR_FL_UNKNOWN, VPP_ERR_FL_NOMATCH,
	VPP_ERR_NOUSER,
	VPP_ERR_PIPE, VPP_ERR_FORK, VPP_ERR_EXEC, VPP_ERR_WAIT,
	VPP_ERR_READ, VPP_ERR_WRITE,
	VPP_ERR_INT,
	VPP_ERR_LAST
} vpp_err_t;

#ifdef ENABLE_CUSER
#ifndef CUSER_INVOKE
#define CUSER_INVOKE	"postmaster"
#endif /* CUSER_INVOKE */
#endif /* ENABLE_CUSER */

#ifdef ENABLE_NEWUSER
#ifndef NEWUSER_INVOKE
#define NEWUSER_INVOKE	"postmaster"
#endif /* NEWUSER_INVOKE */
#endif /* ENABLE_NEWUSER */

/* * *		Variables		* * */

extern int	verbose, quiet;
extern char	vpp_verstr[];

extern const char	*vpp_uservar, *vpp_user, *vpp_passwd;
extern const char	*vpp_newuser;

/* * *		Functions		* * */


#endif /* __INCLUDED_vpoppassd_h */
