/*-
 *  Copyright (c) 2001  Peter Pentchev
 *  All rights reserved.
 * 
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 *  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 *  ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 *  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 *  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 *  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 *  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 *  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 *  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 *  SUCH DAMAGE.
 */

#include <stdlib.h>

#include "vpoppassd.h"
#include "vpp_flavor.h"
#include "vpp_fl_checkpwd.h"

static char	cvs_id[] __unused =
"$Ringlet: vpp_fl_checkpwd.c 2629 2008-10-09 09:58:45Z roam $";

#define CHECKPWD_USERVAR	"USER"

static vpp_err_t	checkpwd_init(int argc __unused,
		const char *argv[] __unused);
static vpp_err_t	checkpwd_probe(int argc __unused,
		const char *argv[] __unused);

struct vpp_flavor_hnd	vpp_flh_checkpwd = {
	VPP_FLT_IN,
	"checkpassword",
	VPP_FL_CHECKPWD,
	checkpwd_probe,
	checkpwd_init,
	NULL,
	NULL
};

static vpp_err_t
checkpwd_init(int argc __unused, const char *argv[] __unused) {

	if (vpp_uservar == NULL)
		vpp_uservar = CHECKPWD_USERVAR;
	return (VPP_ERR_NONE);
}

static vpp_err_t
checkpwd_probe(int argc __unused, const char *argv[] __unused) {

	if (getenv(CHECKPWD_USERVAR) == NULL)
		return (VPP_ERR_FL_NOMATCH);
	return (VPP_ERR_NONE);
}
