#ifndef _INCLUDED_VPP_UTIL_H
#define _INCLUDED_VPP_UTIL_H

/*-
 *  Copyright (c) 2001, 2008  Peter Pentchev
 *  All rights reserved.
 * 
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 *  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 *  ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 *  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 *  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 *  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 *  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 *  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 *  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 *  SUCH DAMAGE.
 */

/* $Ringlet: vpp_util.h 2637 2008-10-09 11:07:54Z roam $ */

/* * *		Definitions		* * */


/* * *		Variables		* * */


/* * *		Functions		* * */

vpp_err_t	vpp_argv_start(unsigned *pargc, char ***pargv);
vpp_err_t	vpp_argv_add(unsigned *pargc, char ***pargv, unsigned count,
		const char *args[]);
vpp_err_t	vpp_argv_subst(char *argv[]);

vpp_err_t	vpp_readline(int fd, char **pbuf, size_t *psz);
vpp_err_t	vpp_writeline(int fd, int crlf, const char *fmt, ...);
vpp_err_t	vpp_write(int fd, const char *line, size_t len);

vpp_err_t	vpp_spawn(int *ppipe, const char *prog, char *const argv[]);

#endif /* _INCLUDED */
